<?php

    lt_include( PLOG_CLASS_PATH."class/plugin/pluginbase.class.php" );
    lt_include( PLOG_CLASS_PATH."class/template/menu/menu.class.php" );
    
    /**
     * CrystalPoll class
     */
    class PluginABTrash extends PluginBase
    {
        function PluginABTrash( $source = "" )
        {
            $this->PluginBase();
            $this->id = "abTrash";
            $this->desc = "This plugin make you able to delete deleted posts permanently";
            $this->author = "Ahmad Fathi Saleh (Al Bawaba Team)";
            $this->locale = "locale_en_UK";
            $this->version = "20070906";
            if( "admin" == $source ) {
                $this->adminInit();
            }
        }
        
        /**
         * init admin actions
         */
        function adminInit()
        {
            
            $this->registerAdminAction( "viewTrash", "AdminViewTrashAction" );
            $this->registerAdminAction( "emptyTrash", "AdminEmptyTrashAction" );

            $menu =& Menu::getMenu();
            if( $menu->entryExists( "/menu/Manage/managePosts" ) ) {
                $this->addMenuEntry( "/menu/Manage/managePosts", "trash", "admin.php?op=viewTrash", null, true, false );
            }
        }
    }
?>